Loading...
Searching...
No Matches
bssgp_ran_information_pdu Struct Reference

`#include <gprs_bssgp_rim.h>`

## Data Fields

struct bssgp_rim_routing_info | routing_info_dest
struct bssgp_rim_routing_info | routing_info_src
uint8_t | rim_cont_iei
const uint8_t * | rim_cont
unsigned int | rim_cont_len
bool | decoded_present
union { |
struct bssgp_ran_inf_req_rim_cont req_rim_cont |
struct bssgp_ran_inf_rim_cont rim_cont |
struct bssgp_ran_inf_ack_rim_cont ack_rim_cont |
struct bssgp_ran_inf_err_rim_cont err_rim_cont |
struct bssgp_ran_inf_app_err_rim_cont app_err_rim_cont |
} | decoded

## Field Documentation

## ack_rim_cont

struct bssgp_ran_inf_ack_rim_cont bssgp_ran_information_pdu::ack_rim_cont

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## app_err_rim_cont

struct bssgp_ran_inf_app_err_rim_cont bssgp_ran_information_pdu::app_err_rim_cont

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## [union]

union { ... } bssgp_ran_information_pdu::decoded

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## decoded_present

bool bssgp_ran_information_pdu::decoded_present

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## err_rim_cont

struct bssgp_ran_inf_err_rim_cont bssgp_ran_information_pdu::err_rim_cont

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## req_rim_cont

struct bssgp_ran_inf_req_rim_cont bssgp_ran_information_pdu::req_rim_cont

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## rim_cont [1/2]

struct bssgp_ran_inf_rim_cont bssgp_ran_information_pdu::rim_cont

## rim_cont [2/2]

const uint8_t* bssgp_ran_information_pdu::rim_cont

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## rim_cont_iei

uint8_t bssgp_ran_information_pdu::rim_cont_iei

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## rim_cont_len

unsigned int bssgp_ran_information_pdu::rim_cont_len

Referenced by bssgp_encode_rim_pdu(), and bssgp_parse_rim_pdu().

## routing_info_dest

struct bssgp_rim_routing_info bssgp_ran_information_pdu::routing_info_dest

Referenced by bssgp_encode_rim_pdu(), bssgp_parse_rim_pdu(), bssgp_rx_rim(), and bssgp_tx_rim().

## routing_info_src

struct bssgp_rim_routing_info bssgp_ran_information_pdu::routing_info_src

Referenced by bssgp_encode_rim_pdu(), bssgp_parse_rim_pdu(), bssgp_rx_rim(), and bssgp_tx_rim().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_bssgp_rim.h